*** a/src/backend/commands/explain.c
--- b/src/backend/commands/explain.c
***************
*** 1937,1949 **** show_tidbitmap_info(BitmapHeapScanState *planstate, ExplainState *es)
  	}
  	else
  	{
! 		appendStringInfoSpaces(es->str, es->indent * 2);
! 		appendStringInfoString(es->str, "Heap Blocks:");
! 		if (planstate->exact_pages > 0)
! 			appendStringInfo(es->str, " exact=%ld", planstate->exact_pages);
! 		if (planstate->lossy_pages > 0)
! 			appendStringInfo(es->str, " lossy=%ld", planstate->lossy_pages);
! 		appendStringInfoChar(es->str, '\n');
  	}
  }
  
--- 1937,1952 ----
  	}
  	else
  	{
! 		if (planstate->exact_pages > 0 || planstate->lossy_pages > 0)
! 		{
! 			appendStringInfoSpaces(es->str, es->indent * 2);
! 			appendStringInfoString(es->str, "Heap Blocks:");
! 			if (planstate->exact_pages > 0)
! 				appendStringInfo(es->str, " exact=%ld", planstate->exact_pages);
! 			if (planstate->lossy_pages > 0)
! 				appendStringInfo(es->str, " lossy=%ld", planstate->lossy_pages);
! 			appendStringInfoChar(es->str, '\n');
! 		}
  	}
  }
  
